# Method: projects.locations.addressGroups.listReferences

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/listReferences#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/listReferences#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/listReferences#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/listReferences#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/listReferences#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/listReferences#body.aspect)

Lists references of an address group.

### HTTP request

`GET https://networksecurity.googleapis.com/v1beta1/{addressGroup=projects/*/locations/*/addressGroups/*}:listReferences`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `addressGroup` | `string` Required. A name of the AddressGroup to clone items to. Must be in the format `projects|organization/*/locations/{location}/addressGroups/*`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of references to return. If unspecified, server will pick an appropriate default. Server may return fewer items than requested. A caller should only rely on response's `https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/ListAddressGroupReferencesResponse#FIELDS.next_page_token` to determine if there are more AddressGroupUsers left to be queried. |
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/ListAddressGroupReferencesResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).